Перейти к содержанию
Fire Monkey от А до Я

Sascha

Пользователи
  • Постов

    11
  • Зарегистрирован

  • Посещение

  1. Впрочем, это неважно (я про dlerror). А как можно импортировать функции из .so-файла, если он как черный ящик? А потом их использоваать в GetProcAddress
  2. Sascha

    1 okt 2021

    Просто это добавить в манифест? <meta-data android:name="com.google.android.play.billingclient.version" android:value="4.0.0" />
  3. Sascha

    UpDown компонент для Firemonkey

    Раньше в Delphi был отличный компонент UpDown для инкремента/декремента значений. Сейчас его не нахожу( Может, аналог есть какой?
  4. вот этот тред тоже может быть полезен: https://en.delphipraxis.net/topic/4322-could-not-load-ssl-library-on-the-64-bit-release-version-from-play-store/
  5. Может, дело в этом: Android 30 API support Android API 30 support includes the following changes Support to target Android API 30 (a Google Play Store requirement for 2021) We also migrated from the old “Support Library” libraries to the new “AndroidX” libraries Also, for Android, RAD Studio now supports the “multidex” feature (which allows your app to generate multiple “classes.dex” files) and uses the newer “D8” DEX compiler instead of the old “DX” one to compile Java bytecode into DEX one. The new releases include a different set of Java libraries and this makes old projects incompatible. When you open an Android project build with an older version of RAD Studio you need to: Navigate to the Projects dockable window. Select Android 32-bit or Android 64-bit as the active target platform. Right-click on the Libraries node. Click on the Revert System Files to Default menu item.
  6. Вот есть .so-файл, который хочется вызывать из своего firemonkey-проекта (для Android), но как? Нужно создавать бридж? Можно подробную инструкцию? Спасибо
  7. Кто-нибудь пробовал в настоящее время опубликовать новое приложение на Google Play? Дело в том, что там сейчас принимаются новые приложения только с targetSDK=30. Если вручную проставить 30 в манифесте, скомпилировать приложение (у меня Delphi 10.4.1, Android SDK 25) и запустить apk файл на телефоне (у меня Андроид 11), то приложение даже не устанавливается! (не говоря уже о запуске приложения) Если оставить 29 в манифесте, то всё компилится, устанавливается, запускается и работает на этом телефоне, но тогда Гугл Плэй не принимает. Засада какая-то....
  8. Господа, помогите пожалуйста с примером, как сохранять (Android>=9) не в папку приложения, а в папку Documents (и запрашивать разрешения). Спасибо заранее Delphi 10.4
×
×
  • Создать...